Package org.eclipse.mat.inspections.osgi.model

## Class BundleDescriptor

- java.lang.Object
- - org.eclipse.mat.inspections.osgi.model.BundleDescriptor

    public class BundleDescriptor
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `BundleDescriptor.Type`

### Constructor Summary

Constructors
`BundleDescriptor​(int objectId, java.lang.Long bundleId, java.lang.String bundleName, java.lang.String state, BundleDescriptor.Type type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.Long` `getBundleId()` Get bundle's unique identifier.
`java.lang.String` `getBundleName()`
`int` `getObjectId()` Get objectId of the bundle in the heap dump
`java.lang.String` `getState()` Get bundle's state (installed, resolved, starting, active, stopping, uninstalled)
`BundleDescriptor.Type` `getType()` Get bundle's type (fragment or bundle)
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleDescriptor

    public BundleDescriptor​(int objectId,
                            java.lang.Long bundleId,
                            java.lang.String bundleName,
                            java.lang.String state,
                            BundleDescriptor.Type type)

### Method Detail

#### getBundleName

    public java.lang.String getBundleName()

#### getBundleId

    public java.lang.Long getBundleId()

Get bundle's unique identifier. This bundle is assigned a unique identifier by the Framework when it was installed in the OSGi environment.

Returns:
  long bundle's unique identifier

#### getObjectId

    public int getObjectId()

Get objectId of the bundle in the heap dump

Returns:
  int objectId

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### getType

    public BundleDescriptor.Type getType()

Get bundle's type (fragment or bundle)

Returns:
  Type

#### getState

    public java.lang.String getState()

Get bundle's state (installed, resolved, starting, active, stopping, uninstalled)

Returns:
  String state